import 'package:bytedesk_kefu/http/bytedesk_message_api.dart';
import 'package:bytedesk_kefu/model/requestAnswer.dart';
import 'package:bytedesk_kefu/model/uploadJsonResult.dart';

class MessageRepository {
  final BytedeskMessageHttpApi bytedeskHttpApi = BytedeskMessageHttpApi();

  MessageRepository();

  Future<UploadJsonResult> uploadImage(String filePath) async {
    return await bytedeskHttpApi.uploadImage(filePath);
  }

  Future<UploadJsonResult> uploadVideo(String filePath) async {
    return await bytedeskHttpApi.uploadVideo(filePath);
  }

  Future<RequestAnswerResult> queryAnswer(String tid, String aid) async {
    return await bytedeskHttpApi.queryAnswer(tid, aid);
  }

  Future<RequestAnswerResult> messageAnswer(
      String type, String wid, String aid, String content) async {
    return await bytedeskHttpApi.messageAnswer(type, wid, aid, content);
  }

  Future<RequestAnswerResult> rateAnswer(
      String aid, String mid, bool rate) async {
    return await bytedeskHttpApi.rateAnswer(aid, mid, rate);
  }
}
